<?php
/*
Plugin Name: Email Template Test Button
Description: Adds a "Send Test Email" button to the Email Templates section to allow HTML content to be previewed in email clients
Version: 0.02
*/

addAction('admin_footer', 'email_template_test_form');

function email_template_test_form() {
  if ($GLOBALS['menu'] === '_email_templates' && ($GLOBALS['action'] === 'edit' || $GLOBALS['action'] === 'add')) {
    ?>
      <script>
        $(function() {
          
          tinyMCE.triggerSave();
          
          var tr = $('<tr><td>Send Test Email</td><td><input id="test_email" name="_test_email" size="20" class="text-input" style="width: 300px"> <button>Send Test Email</button></td></tr>');
          tr.insertAfter($('#field_html').closest('tr'));
          tr.find('input').val(<?php echo json_encode(@$GLOBALS['SETTINGS']['adminEmail']) ?>);
          tr.find('button').click(function() {
            $.post('?', {
              subject:       $('[name=subject]').val(),
              html:          $('[name=html]').val(),
              to:            $('[name=_test_email]').val(),
              _pluginAction: 'email_template_test_send'
            }, function(res) {
              alert(res);
            });
            return false;
          });
          
        });
      </script>
    <?php
  }
}

pluginAction_addHandler('email_template_test_send');
function email_template_test_send() {
  
  $adminEmail = @$GLOBALS['SETTINGS']['adminEmail'];
  
  $errors = sendMessage(array(
    'from'    => $adminEmail,
    'to'      => @$_REQUEST['to'],
    'subject' => @$_REQUEST['subject'],
    'html'    => @$_REQUEST['html'],
  ));
  
  if ($errors) {
    echo $errors;
  }
  else {
    echo "Test email sent to " . @$_REQUEST['to'];
  }
  
  exit;
}

?>